## kbuild 0.1.98svn2318

=== src/fastdep/Makefile ===
# $Id: Makefile 2243 2009-01-10 02:24:02Z bird $

#
# Odin32 API
#
#   Makefile for the Quick-and-Dirty dependency utility. (FastDep)
#
#   Copyright (c) 1999-2009 knut st. osmundsen (bird-kBuild-spamix@anduin.net)
#
#   GPL
#


!ifdef BUILD_SETUP_MAK


#
# Setup config
#
ALL_NO_DBGMEM = 1
PATH_ROOT = ..\..
!include $(PATH_ROOT)\$(BUILD_SETUP_MAK)

#
# Target config
#
TARGET_NAME = fastdep
TARGET_MODE = EXE
TARGET_NEEDED = 1
TARGET_PUB_BASE = $(PATH_TOOLS)

TARGET_OBJS =\
$(PATH_TARGET)\fastdep.$(EXT_OBJ)\
$(PATH_TARGET)\avl.$(EXT_OBJ)\

TARGET_LIBS =\
$(LIB_OS)\
$(LIB_C_OBJ)

#
# Rules config
#
RULES_FORWARD =
!include $(MAKE_INCLUDE_PROCESS)


!else
#
# Directory macro.
#
ODIN32_BIN     = $(ODIN32_TOOLS)


#
# Tell buildenvironment that we're making an VIO .exe.
# Tell buildenvironment that we like to use static linked CRT.
# Tell buildenvironment that we should not copy this into /bin.
#
EXETARGET = 1
VIO = 1
STATIC_CRT = 1
NO_MAIN_BIN_COPY = 1


#
# include common definitions
#
!include ../../makefile.inc


#
# Addjust common definitions
#
!if "$(VAC3)" == "1" || "$(VAC36)" == "1"
CFLAGS   = $(CFLAGS) -W3 -Wall+ppt-ppc-inl-cnv-gnr-vft-gen-uni-ext- \
!ifdef DEBUG
        -O+ -Tm-
!endif
!endif


#
# Object files. Prefix with OBJDIR and one space before the '\'.
#
OBJS = \
$(OBJDIR)\fastdep.obj \
$(OBJDIR)\avl.obj


#
# Libraries. One space before the '\'.
#
LIBS = \
$(RTLLIB) \
os2386.lib


#
# Target name - name of the exe without extention and path.
#
TARGET = FastDep


#
# Includes the common rules.
#
!include $(ODIN32_POST_INC)


#
# We need all.
#
needed: all
!endif


#
# NT version using Watcom C/C++.
#
fastdepnt.exe:
    wcl386 -bt=nt -l=nt -d2 /hc /"option map" -DOS2FAKE=1 -I$(WATCOM)\h\nt fastdep.c avl.c os2fake-win.c /Fe=$@ kernel32.lib

## kbuild 0.1.9998svn2543

=== debian/changelog ===
kbuild (1:0.1.9998svn2543-2~bpo60+1) squeeze-backports; urgency=low

  * NMU
  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Mon, 26 Mar 2012 17:33:58 +0200

kbuild (1:0.1.9998svn2543-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd: link against pthread. (Closes: #645698)
    - Update 06_binutils-gold.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 30 Nov 2011 16:32:21 +0100

kbuild (1:0.1.9998svn2543-1) unstable; urgency=low

  * New upstream snapshot.
  * Refresh patches.
  * Switch to source format 3.0 (quilt).
    - Add unapply-patches and abort-on-upstream-changes to local-options.
  * Convert package from cdbs to dh(1).
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add gbp.conf and enable pristine-tar.
  * Enable DM-Upload-Allowed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 20 Aug 2011 16:04:33 +0200

kbuild (1:0.1.98svn2318-8) unstable; urgency=low

  * Disable threads on 64bit kfreebsd systems.

 -- Michael Meskes <meskes@debian.org>  Wed, 26 May 2010 16:53:48 +0200

kbuild (1:0.1.98svn2318-7) unstable; urgency=low

  [ Michael Meskes ]
  * Remove hppa workaround that is no longer needed.

  [ Felix Geyer ]
  * Split parts of kbuild-binutils-gold.diff into
    kbuild-hppa-disable-threads.diff.
  * Rename the patches so the filename starts with the patch number.
  * Add 07_special-chars-build-path.diff to fix FTBFS when the build path
    contains special characters.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 May 2010 17:41:46 +0200

kbuild (1:0.1.98svn2318-6) unstable; urgency=low

  [ Felix Geyer ]
  * Replaced bintuils-gold patch by new one not breaking compilation on
    hppa. (Closes: #577604)

  [ Michael Meskes ]
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Tue, 04 May 2010 16:16:46 +0200

kbuild (1:0.1.98svn2318-5) unstable; urgency=low

  * Add patch to fix build on armv7l. (LP: #535093) - thanks to
    Jamie Bennett <jb@canonical.com>
  * Added myself as uploader.
  * Bump Standards-Version to 3.8.4 (no changes).
  * Build-Depend on autopoint instead of cvs. (Closes: #572473)
  * Fix FTBFS with binutils-gold. (Closes: #554937)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 09 Mar 2010 19:50:28 +0100

kbuild (1:0.1.98svn2318-4) unstable; urgency=low

  [ Felix Geyer ]
  * Added patch from Fedora to fix build on POSIX.1-2008
    systems (Closes: #552843)

  [ Michael Meskes ]
  * Remove all files created by build process.

 -- Michael Meskes <meskes@debian.org>  Sat, 31 Oct 2009 20:11:54 +0100

kbuild (1:0.1.98svn2318-3) unstable; urgency=low

  * Added patch to fix build on GNU/kFreeBSD. (Closes: #540665) - thanks
    to Julian Andres Klode <jak@debian.org>
  * Added patch to fix build on sh4. (Closes: #544974) - thanks to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Sep 2009 15:37:35 +0200

kbuild (1:0.1.98svn2318-2) unstable; urgency=low

  * New maintainer (Closes: #534921).
  * Removing useless whitespaces at EOL and EOF.
  * Using correct rfc-2822 date formats in changelog.
  * Prefixing debhelper files with package name.
  * Rewriting manpage from scratch and in plain roff.
  * Updating vcs fields in control.
  * Updating package to debhelper 7.
  * Rewriting copyright file in machine-interpretable format.
  * Using tabs rather than space as separator in debhelper links file.
  * Updating uploaders field.
  * Updating package to standards version 3.8.3.
  * Sorting and wrapping depends.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Aug 2009 17:15:33 +0200

kbuild (1:0.1.98svn2318-1) unstable; urgency=low

  * new upstream version (Closes: #523311)
  * Bump up Standards-Version: 3.8.1 (no changes).
  * Add manpage symlink for kDepObj.

 -- Torsten Werner <twerner@debian.org>  Fri, 10 Apr 2009 01:51:12 +0200

kbuild (1:0.1.5svn2262-2) unstable; urgency=low

  * Set KMK_THREADS_DISABLED := 1 to fix build problems on hppa.

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Feb 2009 21:19:02 +0100

kbuild (1:0.1.5svn2262-1) unstable; urgency=low

  * new upstream version (Closes: #512631)

 -- Torsten Werner <twerner@debian.org>  Thu, 22 Jan 2009 15:40:58 +0100

kbuild (1:0.1.5svn2062-1) unstable; urgency=low

  * new upstream version
  * Remove patch lazy.diff that has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Wed, 12 Nov 2008 21:54:38 +0100

kbuild (1:0.1.5svn2059-2) unstable; urgency=low

  * Create SvnInfo.kmk during build process because the upstream svn does not
    ship it anymore.

 -- Torsten Werner <twerner@debian.org>  Sat, 08 Nov 2008 09:17:10 +0100

kbuild (1:0.1.5svn2059-1) unstable; urgency=low

  * new upstream version
  * Add patch lazy.diff to fix build process.
  * Add more manpage symlinks.

 -- Torsten Werner <twerner@debian.org>  Fri, 07 Nov 2008 23:25:40 +0100

kbuild (1:0.1.4svn1804-1) unstable; urgency=low

  * new upstream version
  * Bump up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Tue, 07 Oct 2008 20:50:48 +0200

kbuild (1:0.1.3svn1610-1) unstable; urgency=low

  * new upstream version (Closes: #479046, #480012)
  * Remove patch cpu.diff that has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Thu, 08 May 2008 20:20:07 +0200

kbuild (1:0.1.3svn1587-1) unstable; urgency=low

  * new upstream version
  * Add support for armv5tejl.

 -- Torsten Werner <twerner@debian.org>  Thu, 17 Apr 2008 22:08:34 +0200

kbuild (1:0.1.2svn1393-2) unstable; urgency=high

  * Add patch to fix build on parisc.
  * Set urgency to high because we are fixing a FTBFS bug on 1 arch.

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Apr 2008 22:42:26 +0200

kbuild (1:0.1.2svn1393-1) unstable; urgency=low

  * new upstream release
  * Remove our patch because it has been applied upstream.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Mar 2008 22:29:26 +0100

kbuild (1:0.1.2svn1377-5) unstable; urgency=low

  * Add support for s390x.



=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

YACC      := YACC=/usr/bin/byacc
BOOTSTRAP := ASH=/bin/bash ECHO=/bin/echo MKDIR=/bin/mkdir CP=/bin/cp \
  RM=/bin/rm INSTALL=/usr/bin/install $(YACC)
SVNROOT   := http://svn.netlabs.org/repos/kbuild/trunk
REVISION  := $(shell echo $(UPSTREAM_VERSION) | sed -e's,.*svn,,')

export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	echo "KBUILD_SVN_URL := $(SVNROOT)"  >  SvnInfo.kmk
	echo "KBUILD_SVN_REV := $(REVISION)" >> SvnInfo.kmk

override_dh_auto_build:
	$(info DEBUG: macros defined by gcc:)
	-gcc -dM -E - < /dev/null
	kBuild/env.sh --full make -f bootstrap.gmk SRCDIR=`pwd` $(BOOTSTRAP)
	kBuild/env.sh kmk rebuild PATH_INS=`pwd` KBUILD_VERBOSE=2 $(YACC)

override_dh_auto_install:
	kBuild/env.sh kmk install NIX_INSTALL_DIR=/usr KBUILD_VERBOSE=2 LDFLAGS=-Wl,--as-needed

override_dh_auto_clean:
	-kBuild/env.sh kmk uninstall
	rm -rf debian/stamp-* out kBuild/bin/*/* SvnInfo.kmk
	( cd src/kmk; rm -f aclocal.m4 config.h.in configure Makefile.in )
	( cd src/kmk/config; rm -f compile config.guess config.sub depcomp install-sh Makefile.in missing )
	rm -f src/kmk/glob/Makefile.in src/kmk/w32/Makefile.in
	( cd src/sed/config; rm -f intdiv0.m4 intmax.m4 inttypes_h.m4 inttypes.m4 inttypes-pri.m4 isc-posix.m4 longdouble.m4 longlong.m4 mkinstalldirs nls.m4 po.m4 printf-posix.m4 signed.m4 size_max.m4 stdint_h.m4 uintmax_t.m4 ulonglong.m4 wchar_t.m4 wint_t.m4 xsize.m4 )
	( cd src/sed/intl; rm -f libgnuintl.h.in localcharset.h log.c printf-args.c printf-args.h printf.c printf-parse.c printf-parse.h relocatable.c relocatable.h vasnprintf.c vasnprintf.h vasnwprintf.h wprintf-parse.h xsize.h )
	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )

get-orig-info:
	svn info $(SVNROOT)

get-orig-source:
	sh debian/orig-tar.sh $(SVNROOT) $(UPSTREAM_VERSION) $(REVISION)

## kbuild 0.1.9998svn2543+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2543+dfsg-1) unstable; urgency=high

  * Stop hardcoding the -O3 optimization flag as it causes kmk_sed to
    miscompile. (Closes: #697892)
    - Add 08_no_o3_optimization.diff
  * Set urgency to high as it fixes an RC bug which blocks a virtualbox
    security fix.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 18 Jan 2013 19:00:28 +0100

kbuild (1:0.1.9998svn2543+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unused and non DFSG-compliant src/kmk/doc/make.texi from source.
    (Closes: #695779)

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 16:27:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BOOTSTRAP := ASH=/bin/bash ECHO=/bin/echo MKDIR=/bin/mkdir CP=/bin/cp \
   RM=/bin/rm INSTALL=/usr/bin/install $(YACC)
 SVNROOT   := http://svn.netlabs.org/repos/kbuild/trunk
-REVISION  := $(shell echo $(UPSTREAM_VERSION) | sed -e's,.*svn,,')
+REVISION  := $(shell echo $(UPSTREAM_VERSION) | sed -e's,.*svn,,' | sed -e's,+dfsg.*,,')
 
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

## kbuild 0.1.9998svn2577+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2577+dfsg-3) unstable; urgency=low

  * Add missing build-dependency on texinfo. (Closes: #712335)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 03 Jul 2013 11:59:45 +0200

kbuild (1:0.1.9998svn2577+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical URIs for Vcs-* fields.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 09 May 2013 11:37:23 +0200

kbuild (1:0.1.9998svn2577+dfsg-1) experimental; urgency=low

  * New upstream snapshot. (Closes: #697620)
  * Switch to my @debian.org email address.
  * Refresh patches.
  * Switch to debhelper compat level v9.
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 06 Mar 2013 21:53:30 +0100

=== debian/control ===
Source: kbuild
Section: devel
Priority: extra
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               automake,
               autopoint,
               byacc,
               flex,
               libacl1-dev,
               texinfo
Standards-Version: 3.9.4
Homepage: http://svn.netlabs.org/kbuild
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/kbuild.git
Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/kbuild.git

Package: kbuild
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for writing simple makefiles for complex tasks
 The goals of the kBuild framework:
  - Similar behavior cross all supported platforms.
  - Flexibility, don't create unnecessary restrictions preventing ad-hoc
    solutions.
  - Makefile can very simple to write and maintain.
 .
 There are four concepts being tried out in the current kBuild incaration:
  - One configuration file for a subtree automatically included.
  - Target configuration templates as the primary mechanism for makefile
    simplification.
  - Tools and SDKs for helping out the templates with flexibility.
  - Non-recursive makefile method by using sub-makefiles.
 .
 kBuild does not provide any facilities for checking compiler/library/header
 configurations, that's not in its scope. If this is important for your
 project, check out the autoconf tool in the GNU build system. It is possible
 to use kBuild together with autoconf if you like, but you might just as well
 use the full GNU package.

## kbuild 0.1.9998svn2695+dfsg

=== src/ash/Makefile ===
#	$NetBSD: Makefile,v 1.80 2005/06/26 19:10:49 christos Exp $
#	@(#)Makefile	8.4 (Berkeley) 5/5/95

.include <bsd.own.mk>

YHEADER=1
PROG=	sh
SHSRCS=	alias.c cd.c echo.c error.c eval.c exec.c expand.c \
	histedit.c input.c jobs.c mail.c main.c memalloc.c miscbltin.c \
	mystring.c options.c parser.c redir.c show.c trap.c output.c var.c \
	test.c kill.c syntax.c
GENSRCS=arith.c arith_lex.c builtins.c init.c nodes.c
GENHDRS=arith.h builtins.h nodes.h token.h
SRCS=	${SHSRCS} ${GENSRCS}

DPSRCS+=${GENHDRS}

LDADD+=	-ll -ledit -ltermcap
DPADD+=	${LIBL} ${LIBEDIT} ${LIBTERMCAP}

LFLAGS=	-8	# 8-bit lex scanner for arithmetic
YFLAGS=	-d

# The .depend file can get references to these temporary files
.OPTIONAL: lex.yy.c y.tab.c

.ifdef CRUNCHEDPROG
LFLAGS+=-L
YFLAGS+=-l
.endif

CPPFLAGS+=-DSHELL -I. -I${.CURDIR}
#XXX: For testing only.
#CPPFLAGS+=-DDEBUG=1
#CFLAGS+=-funsigned-char
#TARGET_CHARFLAG?= -DTARGET_CHAR="unsigned char" -funsigned-char

.ifdef SMALLPROG
CPPFLAGS+=-DSMALL
.else
SRCS+=printf.c
.endif

.PATH:	${.CURDIR}/bltin ${NETBSDSRCDIR}/bin/test \
	${NETBSDSRCDIR}/usr.bin/printf \
	${NETBSDSRCDIR}/bin/kill

CLEANFILES+= ${GENSRCS} ${GENHDRS} y.tab.h
CLEANFILES+= trace

token.h: mktokens
	${_MKTARGET_CREATE}
	${HOST_SH} ${.ALLSRC}

builtins.h: builtins.c
	${_MKTARGET_CREATE}

builtins.c: mkbuiltins shell.h builtins.def
	${_MKTARGET_CREATE}
	${HOST_SH} ${.ALLSRC} ${.OBJDIR}
	[ -f builtins.h ]

init.c: mkinit.sh ${SHSRCS}
	${_MKTARGET_CREATE}
	${HOST_SH} ${.ALLSRC}

nodes.h: nodes.c

nodes.c: mknodes.sh nodetypes nodes.c.pat
	${_MKTARGET_CREATE}
	${HOST_SH} ${.ALLSRC} ${.OBJDIR}
	[ -f nodes.h ]

.if ${USETOOLS} == "yes"
COMPATOBJDIR!=	cd ${NETBSDSRCDIR}/tools/compat && ${PRINTOBJDIR}
NBCOMPATLIB=	-L${COMPATOBJDIR} -lnbcompat
.endif

.include <bsd.prog.mk>

=== debian/changelog ===
kbuild (1:0.1.9998svn2695+dfsg-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [8c3dfc1] Exclude src/kmk/doc/make.texi from dfsg archive
  * [00cc15e] Imported Upstream version 0.1.9998svn2695+dfsg
  * [34ffb72] Add myself to Uploaders

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 Dec 2013 12:06:57 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
-           Felix Geyer <fgeyer@debian.org>
+           Felix Geyer <fgeyer@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>= 9),
                autoconf,
                automake,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SVNROOT   := http://svn.netlabs.org/repos/kbuild/trunk
 REVISION  := $(shell echo $(UPSTREAM_VERSION) | sed -e's,.*svn,,' | sed -e's,+dfsg.*,,')
 
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@

## kbuild 0.1.9998svn2745+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2745+dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.
  * Fix get-orig-source script, to avoid the epoch bump.
  * Tweak orig-tar.sh to always get the latest release, instead of the
    release in d/changelog.

  [ Logan Rosen ]
  * debian/patches/12_arm64.diff: Add arm64 support to fix FTBFS.
    (Closes: #759457)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 16 Jan 2015 10:31:12 +0100

kbuild (1:0.1.9998svn2734+dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.
    - drop 03_dprintf-posix2008.diff code removed upstream.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Fernando Seiti Furusato ]
  * Added ppc64el to build to fix ftbfs (Closes: #760605).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 20 Oct 2014 09:53:59 +0200

kbuild (1:0.1.9998svn2695+dfsg-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Felix Geyer ]
  * Remove myself from uploaders.

  [ Ritesh Raj Sarraf ]
  * [0437af2] Add cherry-picked commit from upstream as a quilt patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Jul 2014 11:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>,
-           Felix Geyer <fgeyer@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Build-Depends: debhelper (>= 9),
                autoconf,
                automake,
@@ -12,7 +12,7 @@
                flex,
                libacl1-dev,
                texinfo
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://svn.netlabs.org/kbuild
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/kbuild.git
 Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/kbuild.git

## kbuild 0.1.9998svn2786+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2786+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, patch refresh.
  * Remove 08_no_o3_optimization.diff
  * d/p/01_gnukfreebsd.diff
    - Fix kfreebsd-* build failures, due to missing pthreads.
      this patch was originally under 06_binutils-gold.diff,
      but this is now a specific kfreebsd porting issue.
    - Fix also a cosmetic issue.
  * d/p/02_sh4.diff: fix a cosmetic issue (space) and a possible
      clash in duplicated value.
  * d/p/11_find-glob.patch:
    - sync with Fedora patch (Thanks Sérgio Basto).
  * d/p/10_ppc64el.diff:
    - sync with Fedora patch, with a little tweak for el instead of le.
    (Thanks again Sérgio Basto!)
  * d/p/12_arm64.diff: patch refresh.
  * Update my uid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2015 15:43:17 +0200

kbuild (1:0.1.9998svn2780+dfsg-2) unstable; urgency=low

  * Sync kbuild with Fedora patches (thanks Sérgio Basto!):
    - sync 04_armv7l.diff, adding some more arm archs
    - 06_binutils-gold.diff add pthread for all archs, and
      -Wl,--as-needed to strip where not needed.
    - simplify a lot 11_find-glob.patch
    - disable 08_no_o3_optimization.diff the problem was fixed upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 May 2015 16:29:22 +0200

kbuild (1:0.1.9998svn2780+dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot, patch refresh.

  [ Ritesh Raj Sarraf ]
  * Upload to Unstable

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 27 Apr 2015 00:42:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
-           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+           Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper (>= 9),
                autoconf,
                automake,

## kbuild 0.1.9998svn2813+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2813+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, patch refresh.
  * Update standard-version to 3.9.7, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2015 12:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                flex,
                libacl1-dev,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://svn.netlabs.org/kbuild
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/kbuild.git
 Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/kbuild.git

## kbuild 0.1.9998svn2814+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn2814+dfsg-2~ubuntu16.04.1) xenial; urgency=medium

  * SRU to xenial, to make virtualbox 5.1 build correctly
  * New upstream version 5.1.32-dfsg
    LP: #1746316 -> security patches for spectre and meltdown
    LP: #1736116 -> freeze with kernel >= 4.13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 14:51:36 +0100

kbuild (1:0.1.9998svn2814+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jul 2016 18:32:24 +0200

kbuild (1:0.1.9998svn2814+dfsg-1) experimental; urgency=medium

  * New upstream snapshot, patch refresh.
  * Update standard-version to 3.9.8, no changes required.
  * update VCS in https mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2015 12:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                flex,
                libacl1-dev,
                texinfo
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://svn.netlabs.org/kbuild
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/kbuild.git
-Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/kbuild.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-virtualbox/kbuild.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-virtualbox/kbuild.git
 
 Package: kbuild
 Architecture: any

## kbuild 0.1.9998svn3149+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3149+dfsg-3) unstable; urgency=high

  * Move to new maintainer address, bump std-version to 4.1.4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 11:06:40 +0200

kbuild (1:0.1.9998svn3149+dfsg-2) unstable; urgency=medium

  * Update VCS fields to salsa.d.o

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Apr 2018 19:32:02 +0200

kbuild (1:0.1.9998svn3149+dfsg-1) unstable; urgency=low

  * New upstream version 0.1.9998svn3149+dfsg (Closes: #891372)
  * Drop patches upstreamed, hopefully not useful anymore
    - drop 09_read.c_record_files_SV_33034_Changes_fatal_to_error.patch
  * Add patch to disable doc and po builds
  * Bump copyright years
  * Bump std-version to 4.1.3
  * Add pkg-config dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Mar 2018 18:44:34 +0100

kbuild (1:0.1.9998svn3127+dfsg-2) unstable; urgency=medium

  * Add new patch from make-dfsg to fixup FTBFS with glibc 2.27
    (thanks Aurelien Jarno! Closes: #891372)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Mar 2018 16:31:24 +0100

kbuild (1:0.1.9998svn3127+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3127+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2017 08:49:46 +0100

kbuild (1:0.1.9998svn3126+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, fixing x32 build 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Nov 2017 09:53:16 +0100

kbuild (1:0.1.9998svn3110+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, fixing hurd, and enabling m68k
    compilation support. (Closes: #699509)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Oct 2017 10:37:21 +0200

kbuild (1:0.1.9998svn3103+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, enabling tentative build
    for gnu/hurd, m68k, and with complete kFreeBSD upstream port.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Oct 2017 15:31:34 +0200

kbuild (1:0.1.9998svn3100+dfsg-1) unstable; urgency=medium

  * New upstream microrelease, with mostly complete kFreeBSD port.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Oct 2017 11:52:27 +0200

kbuild (1:0.1.9998svn3098+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * Fix kFreeBSD port.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Oct 2017 11:05:00 +0200

kbuild (1:0.1.9998svn3098+dfsg-1~exp2) experimental; urgency=medium

  * Try to define kFreeBSD as normal freebsd

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Oct 2017 23:46:27 +0200

kbuild (1:0.1.9998svn3098+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release, update copyright.
  * Drop mostly all patches, they should be upstream
  * Bump std-version to 4.1.1, move to priority: optional
  * Use compat level 10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2016 09:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: kbuild
 Section: devel
-Priority: extra
-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper (>= 9),
-               autoconf,
-               automake,
-               autopoint,
+Build-Depends: debhelper (>= 10),
                byacc,
                flex,
                libacl1-dev,
-               texinfo
-Standards-Version: 3.9.8
+               texinfo,
+               pkg-config
+Standards-Version: 4.1.4
 Homepage: http://svn.netlabs.org/kbuild
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-virtualbox/kbuild.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-virtualbox/kbuild.git
+Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
+Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git
 
 Package: kbuild
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
+UPSTREAM_VERSION := $(shell dpkg-parsechangelog -SVersion| cut -d ":" -f 2 |cut -d "-" -f 1)
 
 YACC      := YACC=/usr/bin/byacc
 BOOTSTRAP := ASH=/bin/bash ECHO=/bin/echo MKDIR=/bin/mkdir CP=/bin/cp \
@@ -37,7 +37,7 @@
 	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )
 
 get-orig-info:
-	svn info $(SVNROOT)
+	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4
 
 get-orig-source:
-	sh debian/orig-tar.sh $(SVNROOT) $(UPSTREAM_VERSION) $(REVISION)
+	sh debian/orig-tar.sh $(SVNROOT) $(UPSTREAM_VERSION)

## kbuild 0.1.9998svn3293+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3293+dfsg-2) unstable; urgency=medium

  * Upload a fix for armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jan 2019 10:52:22 +0100

kbuild (1:0.1.9998svn3293+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3293+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Jan 2019 22:18:40 +0100

kbuild (1:0.1.9998svn3290+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3290+dfsg
  * Drop patch now upstream
  * Patch refresh
  * bump std-version to 4.3.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Jan 2019 16:11:22 +0100

kbuild (1:0.1.9998svn3236+dfsg-1) unstable; urgency=medium

  * Update maintainer email
  * New upstream version 0.1.9998svn3236+dfsg
  * Update copyright file
  * bump std-version to 4.2.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Dec 2018 16:47:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kbuild
 Section: devel
 Priority: optional
-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -10,7 +10,7 @@
                libacl1-dev,
                texinfo,
                pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://svn.netlabs.org/kbuild
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git

## kbuild 0.1.9998svn3296+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3296+dfsg-1) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Jul 2019 14:07:39 +0200

kbuild (1:0.1.9998svn3296+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 0.1.9998svn3296+dfsg
  * Drop patch, now upstream
  * Bump compat level to 12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 May 2019 09:46:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                byacc,
                flex,
                libacl1-dev,

## kbuild 0.1.9998svn3301%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libacl1-dev,
                texinfo,
                pkg-config
-Standards-Version: 4.3.0
-Homepage: http://svn.netlabs.org/kbuild
+Standards-Version: 4.4.1
+Homepage: https://svn.netlabs.org/kbuild
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git

## kbuild 0.1.9998svn3301+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3301+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.

  [ Gianfranco Costamagna ]
  * New upstream version 0.1.9998svn3301+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Dec 2019 09:28:19 +0100

## kbuild 0.1.9998svn3489+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3489+dfsg-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Dec 2022 17:10:57 -0800

kbuild (1:0.1.9998svn3489+dfsg-2) unstable; urgency=medium

  * Implement an assert fallback where new kHlpAssertBreakpoint function
    is not implemented

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Nov 2020 11:22:51 +0100

kbuild (1:0.1.9998svn3489+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3489+dfsg
  * Update copyright years
  * Refresh patch 07_special-chars-build-path.diff
  * Add patch to fix build with echo not escaping regexes during c file
    generation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Oct 2020 12:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kbuild
 Section: devel
 Priority: optional
-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               byacc,
+Build-Depends: byacc,
+               debhelper-compat (= 12),
                flex,
                libacl1-dev,
-               texinfo,
-               pkg-config
+               pkg-config,
+               texinfo
 Standards-Version: 4.4.1
 Homepage: https://svn.netlabs.org/kbuild
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 	( cd src/sed/intl; rm -f libgnuintl.h.in localcharset.h log.c printf-args.c printf-args.h printf.c printf-parse.c printf-parse.h relocatable.c relocatable.h vasnprintf.c vasnprintf.h vasnwprintf.h wprintf-parse.h xsize.h )
 	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-info:
 	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4

## kbuild 0.1.9998svn3564+dfsg

=== dist/freebsd/devel/kBuild/Makefile ===
# New ports collection makefile for:	kbuild
# Date created:		Mon Jul 28 14:34:33 BST 2008
# Whom:			Bruce Simpson
#
# $FreeBSD: ports/devel/kBuild/Makefile,v 1.4 2008/12/02 23:14:19 gahr Exp $
#

PORTNAME=	kBuild
PORTVERSION=	0.1.5
CATEGORIES=	devel
MASTER_SITES=	ftp://ftp.netlabs.org/pub/kbuild/
DISTNAME=	${PORTNAME}-${PORTVERSION}-src

MAINTAINER=	que_deseja@hotmail.com
COMMENT=	Makefile framework

USE_AUTOTOOLS=	automake:19 autoconf:261
USE_GMAKE=	yes

WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}

KBUILD_ARCH=	${MACHINE_ARCH:S/i386/x86/}
KBUILD_ENV=	ACLOCAL=${ACLOCAL} \
		AUTOMAKE=${AUTOMAKE} \
		AUTORECONF=${AUTORECONF}
KBUILD_STAGE=   ${WRKSRC}/out/freebsd.${KBUILD_ARCH}/release${PREFIX}

# KBUILD_BINS, KBUILD_DATA_FILES and KBUILD_DOC_FILES (generated).
.include "kBuild-files.mk"

# Override autotools
run-autotools:
do-configure:

do-build:
	cd ${WRKSRC} && ${SETENV} ${KBUILD_ENV} ./kBuild/env.sh --full \
		${GMAKE} NIX_INSTALL_DIR=${PREFIX} -f bootstrap.gmk
	${WRKSRC}/kBuild/env.sh --full-with-bin \
		kmk -C ${WRKSRC} NIX_INSTALL_DIR=${PREFIX}

do-install:
.for file in ${KBUILD_BIN_FILES}
	${INSTALL_PROGRAM} ${KBUILD_STAGE}/bin/${file} ${PREFIX}/bin/${file}
.endfor
	${MKDIR} ${DATADIR}
.for file in ${KBUILD_DATA_FILES}
	${MKDIR} `dirname ${DATADIR}/${file}`
	${INSTALL_DATA} ${KBUILD_STAGE}/share/kBuild/${file} ${DATADIR}/${file}
.endfor
	${MKDIR} ${DOCSDIR}
.for file in ${KBUILD_DOC_FILES}
	${MKDIR} `dirname ${DOCSDIR}/${file}`
	${INSTALL_DATA} ${KBUILD_STAGE}/share/doc/kBuild-${PORTVERSION}/${file} ${DOCSDIR}/${file}
.endfor


.include <bsd.port.mk>

#
# Helper rule to generate kBuild-files.mk and pkg-plist when updating the port.
#
kbuild-generate-files:
	echo '# Autogenerated by kbuild-generate-files in Makefile' > kBuild-files.mk
	echo '' >> kBuild-files.mk
	echo 'KBUILD_BIN_FILES = \' >> kBuild-files.mk
	${WRKSRC}/kBuild/env.sh --full-with-bin --quiet \
		kmk --no-print-directory -sC ${WRKSRC} NIX_INSTALL_DIR=${PREFIX} \
		MY_INST_BIN=_keep_/ MY_INST_DATA=_drop_/ MY_INST_DOC=_drop_/ \
		kbuild-show-install-files \
		| sed -e '/^_drop_/d' -e 's/^_keep_\//	/' -e 's/$$/ \\/' \
		>> kBuild-files.mk
	echo '' >> kBuild-files.mk
	echo 'KBUILD_DATA_FILES = \' >> kBuild-files.mk
	${WRKSRC}/kBuild/env.sh --full-with-bin --quiet \
		kmk --no-print-directory -sC ${WRKSRC} NIX_INSTALL_DIR=${PREFIX} \
		MY_INST_BIN=_drop_/ MY_INST_DATA=_keep_/ MY_INST_DOC=_drop_/ \
		kbuild-show-install-files \
		| sed -e '/^_drop_/d' -e 's/^_keep_\//	/' -e 's/$$/ \\/' \
		>> kBuild-files.mk
	echo '' >> kBuild-files.mk
	echo 'KBUILD_DOC_FILES = \' >> kBuild-files.mk
	${WRKSRC}/kBuild/env.sh --full-with-bin --quiet \
		kmk --no-print-directory -sC ${WRKSRC} NIX_INSTALL_DIR=${PREFIX} \
		MY_INST_BIN=_drop_/ MY_INST_DATA=_drop_/ MY_INST_DOC=_keep_/ \
		kbuild-show-install-files \
		| sed -e '/^_drop_/d' -e 's/^_keep_\//	/' -e 's/$$/ \\/' \
		>> kBuild-files.mk
	echo '' >> kBuild-files.mk

	${WRKSRC}/kBuild/env.sh --full-with-bin --quiet \
		kmk --no-print-directory -sC ${WRKSRC} NIX_INSTALL_DIR=${PREFIX} \
		'MY_INST_BIN=bin/' 'MY_INST_DATA=%%DATADIR%%/' \
		'MY_INST_DOC=%%DOCSDIR%%/' kbuild-show-install-files \
		> pkg-plist
	echo '@dirrm %%DATADIR%%/msgstyles' >> pkg-plist
	echo '@dirrm %%DATADIR%%/sdks' >> pkg-plist
	echo '@dirrm %%DATADIR%%/templates' >> pkg-plist
	echo '@dirrm %%DATADIR%%/tools' >> pkg-plist
	echo '@dirrm %%DATADIR%%/units' >> pkg-plist
	echo '@dirrm %%DATADIR%%' >> pkg-plist
	echo '@dirrm %%DOCSDIR%%' >> pkg-plist

=== debian/changelog ===
kbuild (1:0.1.9998svn3564+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3564+dfsg
  * Patch refresh
  * Update compat level to 13
  * Bump std-version to 4.6.0
  * debian/copyright: add mention of grep sources
  * debian/copyright: use https for orig source URL

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2022 07:56:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -29,17 +29,13 @@
 override_dh_auto_clean:
 	-kBuild/env.sh kmk uninstall
 	rm -rf debian/stamp-* out kBuild/bin/*/* SvnInfo.kmk
-	( cd src/kmk; rm -f aclocal.m4 config.h.in configure Makefile.in )
+	( cd src/kmk; rm -f aclocal.m4 config.h.in configure Makefile.in config/ar-lib )
 	( cd src/kmk/config; rm -f compile config.guess config.sub depcomp install-sh Makefile.in missing )
 	rm -f src/kmk/glob/Makefile.in src/kmk/w32/Makefile.in
 	( cd src/sed/config; rm -f intdiv0.m4 intmax.m4 inttypes_h.m4 inttypes.m4 inttypes-pri.m4 isc-posix.m4 longdouble.m4 longlong.m4 mkinstalldirs nls.m4 po.m4 printf-posix.m4 signed.m4 size_max.m4 stdint_h.m4 uintmax_t.m4 ulonglong.m4 wchar_t.m4 wint_t.m4 xsize.m4 )
 	( cd src/sed/intl; rm -f libgnuintl.h.in localcharset.h log.c printf-args.c printf-args.h printf.c printf-parse.c printf-parse.h relocatable.c relocatable.h vasnprintf.c vasnprintf.h vasnwprintf.h wprintf-parse.h xsize.h )
 	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-info:
 	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4

## kbuild 0.1.9998svn3572+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3572+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3572+dfsg
  * Drop patch revert

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2022 12:04:52 +0200

kbuild (1:0.1.9998svn3571+dfsg-4) unstable; urgency=medium

  * Fixup another UPSTREAM_VERSION reference

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Oct 2022 10:50:51 +0200

kbuild (1:0.1.9998svn3571+dfsg-3) unstable; urgency=medium

  * Bump copyright years
  * Bump another copyright year
  * Drop as-needed flag, now default
  * Drop another as-needed reference
  * Drop dpkg-parsechangelog call in rules file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Oct 2022 10:33:27 +0200

kbuild (1:0.1.9998svn3571+dfsg-2) unstable; urgency=medium

  * Revert upstream commit 3566, makes the build FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Oct 2022 10:25:52 +0200

kbuild (1:0.1.9998svn3571+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3571+dfsg
  * Refresh patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Oct 2022 17:44:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,12 @@
 #!/usr/bin/make -f
 
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog -SVersion| cut -d ":" -f 2 |cut -d "-" -f 1)
+include /usr/share/dpkg/pkg-info.mk
 
 YACC      := YACC=/usr/bin/byacc
 BOOTSTRAP := ASH=/bin/bash ECHO=/bin/echo MKDIR=/bin/mkdir CP=/bin/cp \
   RM=/bin/rm INSTALL=/usr/bin/install $(YACC)
 SVNROOT   := http://svn.netlabs.org/repos/kbuild/trunk
-REVISION  := $(shell echo $(UPSTREAM_VERSION) | sed -e's,.*svn,,' | sed -e's,+dfsg.*,,')
-
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+REVISION  := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e's,.*svn,,' | sed -e's,+dfsg.*,,')
 
 %:
 	dh $@
@@ -24,7 +22,7 @@
 	kBuild/env.sh kmk rebuild PATH_INS=`pwd` KBUILD_VERBOSE=2 $(YACC)
 
 override_dh_auto_install:
-	kBuild/env.sh kmk install NIX_INSTALL_DIR=/usr KBUILD_VERBOSE=2 LDFLAGS=-Wl,--as-needed
+	kBuild/env.sh kmk install NIX_INSTALL_DIR=/usr KBUILD_VERBOSE=2
 
 override_dh_auto_clean:
 	-kBuild/env.sh kmk uninstall
@@ -40,4 +38,4 @@
 	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4
 
 get-orig-source:
-	sh debian/orig-tar.sh $(SVNROOT) $(UPSTREAM_VERSION)
+	sh debian/orig-tar.sh $(SVNROOT) $(DEB_VERSION_UPSTREAM)

## kbuild 0.1.9998svn3589+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3589+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Apr 2023 14:56:20 -0700

kbuild (1:0.1.9998svn3589+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3589+dfsg
  * Update get-orig-source script

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Apr 2023 13:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libacl1-dev,
                pkg-config,
                texinfo
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://svn.netlabs.org/kbuild
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 YACC      := YACC=/usr/bin/byacc
 BOOTSTRAP := ASH=/bin/bash ECHO=/bin/echo MKDIR=/bin/mkdir CP=/bin/cp \
   RM=/bin/rm INSTALL=/usr/bin/install $(YACC)
-SVNROOT   := http://svn.netlabs.org/repos/kbuild/trunk
+SVNROOT   := https://svn.netlabs.org/repos/kbuild/trunk
 REVISION  := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e's,.*svn,,' | sed -e's,+dfsg.*,,')
 
 %:
@@ -34,6 +34,10 @@
 	( cd src/sed/intl; rm -f libgnuintl.h.in localcharset.h log.c printf-args.c printf-args.h printf.c printf-parse.c printf-parse.h relocatable.c relocatable.h vasnprintf.c vasnprintf.h vasnwprintf.h wprintf-parse.h xsize.h )
 	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-info:
 	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4

## kbuild 0.1.9998svn3604+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3604+dfsg-1) unstable; urgency=medium

  * Update copyright years
  * New upstream version 0.1.9998svn3604+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 21:22:54 +0100

kbuild (1:0.1.9998svn3589+dfsg-2) unstable; urgency=medium

  * Fix to avoid strings.h usage, prefer string.h instead
    Closes: #1066204

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 17:06:47 +0100

## kbuild 0.1.9998svn3608+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3608+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3608+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 22:42:52 +0200

kbuild (1:0.1.9998svn3606+dfsg-2) unstable; urgency=medium

  * Add patch from zhangdandan <zhangdandan@loongson.cn> to build on
    loongarch64 (Closes: #1074615)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2024 13:22:39 +0200

kbuild (1:0.1.9998svn3606+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3606+dfsg
    Closes: #1075110

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 15:54:41 +0200

## kbuild 0.1.9998svn3614+dfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3614+dfsg-2) unstable; urgency=medium

  * Fixup loongarch build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 12:01:59 +0200

kbuild (1:0.1.9998svn3614+dfsg-1) unstable; urgency=medium

  * New upstream version 0.1.9998svn3614+dfsg
  * Update copyright file
  * Version 0.1.9998svn3236+dfsg fixed kmk_builtin_echo wrong
    prototype (Closes: #749149)
  * Drop loong64 patch, now part of upstream codebase
  * Drop string missing declaration patch, now upstream switched to a more
    recent sed version
  * Add close of old bugbug
    - the patch fixing it was dropped in 1:0.1.9998svn3149+dfsg-1
      without any regression (Closes: #761345)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:32:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,6 @@
 	( cd src/sed/intl; rm -f libgnuintl.h.in localcharset.h log.c printf-args.c printf-args.h printf.c printf-parse.c printf-parse.h relocatable.c relocatable.h vasnprintf.c vasnprintf.h vasnwprintf.h wprintf-parse.h xsize.h )
 	( cd src/sed/po; rm -f Makevars.template remove-potcdate.sin )
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-info:
 	svn info $(SVNROOT) | grep "Last Changed Rev:" | cut -d' ' -f4

## kbuild 0.1.9998svn3686%2Bdfsg

=== debian/changelog ===
kbuild (1:0.1.9998svn3686+dfsg-2~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Sep 2025 12:25:32 -0700

kbuild (1:0.1.9998svn3686+dfsg-2) unstable; urgency=medium

  * Fix build with new gcc-15 (Closes: #1096910)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Aug 2025 07:52:23 +0200

kbuild (1:0.1.9998svn3686+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop loongarch patch
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 09:23:58 +0200
